<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipts</title>
</head>
<body>
    <main>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                    <li><a href="{% url 'logout' %}">Logout</a></li>
                    <li><a href="{% url 'home' %}">Home</a></li>
                    <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    <li><a href="{% url 'category_list' %}">Category List</a></li>
                    <li><a href="{% url 'create_category' %}">Create Category</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                    {% else %}
                    <li><a href="{% url 'signup' %}">Signup</a></li>
                    <li><a href="{% url 'login' %}">Login</a></li>
                    {% endif %}
                </ul>
            </nav>
        </header>

        <h1>My Account</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number</th>
                    <th>Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    {% for account in account %}

                    <td>{{ account.name }}</td>
                    <td>{{ account.number }}</td>
                    <td>{{ account.receipts.count }}</td>

                    {% endfor %}

                </tr>
            </tbody>
        </table>

    </main>
</body>
</html>
